- Main Page
- Namespaces
- Classes
- Files

- Search for |

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# CIAO::Config_Handlers::DD_Handler Class Reference

`#include <DD_Handler.h>`

Collaboration diagram for CIAO::Config_Handlers::DD_Handler:

[legend]
List of all members.

## Public Member Functions
| DD_Handler (const ACE_TCHAR *file)
| DD_Handler (Domain *dmn)
| DD_Handler (::Deployment::Domain *dmn)
| ~DD_Handler (void)
::Deployment::Domain const * | domain_idl (void) const throw (NoDomain)
| Returns the const IDL domain.
::Deployment::Domain * | domain_idl (void) throw (NoDomain)
| Returns the IDL domain.
Domain const * | domain_xsc (void) const throw (NoDomain)
| Returns the const XSC domain.
Domain * | domain_xsc (void) throw (NoDomain)
| Returns the XSC domain.
## Private Member Functions
bool | build_domain ()
| builds the domain structure
bool | build_xsc ()
| builds the XSC data structure
## Private Attributes
auto_ptr< ::Deployment::Domain > | idl_domain_
| The Deployment Domain structure.
auto_ptr< Domain > | domain_
| The XSC Domain structure.
bool | retval_
| The return value used.
## Classes
class | NoDomain

## Constructor & Destructor Documentation

CIAO::Config_Handlers::DD_Handler::DD_Handler | ( | const ACE_TCHAR * | file | ) |

constructor

Parameters:

  | The | file to be read

CIAO::Config_Handlers::DD_Handler::DD_Handler | ( | Domain * | dmn | ) |

constructor

Parameters:

  | dmn | The Domain structure

CIAO::Config_Handlers::DD_Handler::DD_Handler | ( | ::Deployment::Domain * | dmn | ) |

constructor

Parameters:

  | dmn | The Deployment::Domain structure

CIAO::Config_Handlers::DD_Handler::~DD_Handler | ( | void |  | ) |

destructor

## Member Function Documentation

bool CIAO::Config_Handlers::DD_Handler::build_domain | ( |  | ) | `[private]`

builds the domain structure

build_domain

bool CIAO::Config_Handlers::DD_Handler::build_xsc | ( |  | ) | `[private]`

builds the XSC data structure

build_xsc

::Deployment::Domain* CIAO::Config_Handlers::DD_Handler::domain_idl | ( | void |  | ) | throw (NoDomain)

Returns the IDL domain.

domain_idl

Returns:
  Domain* the IDL domain pointer

Deployment::Domain * CIAO::Config_Handlers::DD_Handler::domain_idl | ( | void |  | ) | const throw (NoDomain)

Returns the const IDL domain.

domain_idl

Returns:
  Domain* the IDL domain pointer

Domain* CIAO::Config_Handlers::DD_Handler::domain_xsc | ( | void |  | ) | throw (NoDomain)

Returns the XSC domain.

domain_xsc

Returns:
  Domain* the XSC domain pointer

Domain * CIAO::Config_Handlers::DD_Handler::domain_xsc | ( | void |  | ) | const throw (NoDomain)

Returns the const XSC domain.

domain_xsc

Returns:
  Domain* the XSC domain pointer

## Member Data Documentation

auto_ptr<Domain> CIAO::Config_Handlers::DD_Handler::domain_`[private]`

The XSC Domain structure.

auto_ptr< ::Deployment::Domain > CIAO::Config_Handlers::DD_Handler::idl_domain_`[private]`

The Deployment Domain structure.

bool CIAO::Config_Handlers::DD_Handler::retval_`[private]`

The return value used.

The documentation for this class was generated from the following files:

- DD_Handler.h
- DD_Handler.cpp